ILU

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## no.uib.cipr.matrix.sparse
Class ILU

    java.lang.Object
      no.uib.cipr.matrix.sparse.ILU

All Implemented Interfaces:
  Preconditioner

    public class ILU

extends java.lang.Object
implements Preconditioner

ILU(0) preconditioner using a compressed row matrix as internal storage

Constructor Summary
`ILU(CompRowMatrix LU)` Sets up the ILU preconditioner

Method Summary
`Vector` | `apply(Vector b, Vector x)` Solves the approximate problem with the given right hand side.
`void` | `setMatrix(Matrix A)` Sets the operator matrix for the preconditioner.
`Vector` | `transApply(Vector b, Vector x)` Solves the approximate transpose problem with the given right hand side.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ILU

    public ILU(CompRowMatrix LU)

  Sets up the ILU preconditioner

  Parameters:
    `LU` - Matrix to use internally. For best performance, its non-zero pattern must conform to that of the system matrix

Method Detail

### apply

    public Vector apply(Vector b,
                        Vector x)

  Description copied from interface: `Preconditioner`
  Solves the approximate problem with the given right hand side. Result is stored in given solution vector

  Specified by:
    `apply` in interface `Preconditioner`
  Parameters:
    `b` - Right hand side of problem
    `x` - Result is stored here
  Returns:
    x

### transApply

    public Vector transApply(Vector b,
                             Vector x)

  Description copied from interface: `Preconditioner`
  Solves the approximate transpose problem with the given right hand side. Result is stored in given solution vector

  Specified by:
    `transApply` in interface `Preconditioner`
  Parameters:
    `b` - Right hand side of problem
    `x` - Result is stored here
  Returns:
    x

### setMatrix

    public void setMatrix(Matrix A)

  Description copied from interface: `Preconditioner`
  Sets the operator matrix for the preconditioner. This method must be called before a preconditioner is used by an iterative solver

  Specified by:
    `setMatrix` in interface `Preconditioner`
  Parameters:
    `A` - Matrix to setup the preconditioner for. Not modified

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD